package com.ruoyi.mall.domain.Bo;

import org.springframework.web.bind.annotation.RequestParam;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/** 添加志愿 查询学校专业列表 请求参数*/
public class CheckingOutParamBo implements Serializable {
    private static final long serialVersionUID = 1L;

    /** 分页*/
    private Integer pageNum;
    private Integer pageSize;

    /** 录取率排序方式 全部为空/desc/asc*/
    private String orderByType;

    /** 用户id*/
    @NotNull(message = "用户id不能为空")
    private Long memberId;

    /** 批次*/
    @NotNull(message = "批次id不能为空")
    private Long batchId;

    /** 报告id 有值代表 在原有的基础上要新增志愿*/
    private Long reportId;

//筛学校
    /** 学校层次 单选 传层次id*/
    private Long  schoolLevelId;

    /** 所在省份 多选 传省ids String数组*/
    private String[] provinceIds;

    /** 学校类型 单选 传类型id*/
    private Long schoolConfigTypeId;
//选专业
    /** 专业 单选 传专业id*/
    private Long  majorId;

    /** 专业多选  */
    private Long[] majorIds;

    /** 专业名称 */
    private String[] majorNames;
//看评估
    /**学科评估榜 教育部 多选 字符串数组*/
    private String[] rankingName;
    /** 开设硕士点 多选 字符串数组*/
    private String[] mastersDegreeDetail;
    /** 开设博士点 多选 字符串数组*/
    private String[] doctorateDetail;
    /** 学科其他 多选 字符串数组*/
    private String[] subjectOther;
    /** 博士点研究方向 多选 字符串数组*/
    private String[] doctorateDirection;
    /** 硕士点研究方向 多选 字符串数组*/
    private String[] mastersDegreeDirection;
    /** 专业细分 其他 多选*/
    private String[] majorOther;

//新招
    /** 新招类型 单选 不传不限 所有新招1 新招院校2 新招专业3*/
    private String newAcceptType;

//搜索学校名
    /** 搜索 学校名 有就传 没有就空着*/
    private String schoolName;


//录取类型
    /** 录取率归类 不传 全部(默认)先待定， 0可冒险， 1搏一搏， 2较稳妥， 3可保底*/
    private int rateType;


 //用于先筛选学校缩小学校范围
    private List<Long> schoolIds;

    /** 招生学校类型(0-稳定,1-新招或未公布,2-招生公式变化) */
    private Integer schoolType;

    /** 新招生计划ids */
    private String schoolIdArr;

    /** 未公布学校id集合 */
    private List<Long> noIdList;


    /** 文理科*/
    private String subjectType;

    private String schoolIdStr;

    /** 最新一年 */
    private String newYear;

    private Integer rateFlag;

    public Integer getRateFlag() {
        return rateFlag;
    }

    public void setRateFlag(Integer rateFlag) {
        this.rateFlag = rateFlag;
    }

    public String getNewYear() {
        return newYear;
    }

    public void setNewYear(String newYear) {
        this.newYear = newYear;
    }

    public String[] getMajorNames() {
        return majorNames;
    }

    public void setMajorNames(String[] majorNames) {
        this.majorNames = majorNames;
    }

    public List<Long> getNoIdList() {
        return noIdList;
    }

    public void setNoIdList(List<Long> noIdList) {
        this.noIdList = noIdList;
    }

    public String getSchoolIdStr() {
        return schoolIdStr;
    }

    public void setSchoolIdStr(String schoolIdStr) {
        this.schoolIdStr = schoolIdStr;
    }

    public String getSubjectType() {
        return subjectType;
    }

    public void setSubjectType(String subjectType) {
        this.subjectType = subjectType;
    }

    public String getSchoolIdArr() {
        return schoolIdArr;
    }

    public void setSchoolIdArr(String schoolIdArr) {
        this.schoolIdArr = schoolIdArr;
    }

    public Integer getSchoolType() {
        return schoolType;
    }

    public void setSchoolType(Integer schoolType) {
        this.schoolType = schoolType;
    }

    public Integer getPageNum() {
        return pageNum;
    }

    public void setPageNum(Integer pageNum) {
        this.pageNum = pageNum;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public Long getMemberId() {
        return memberId;
    }

    public void setMemberId(Long memberId) {
        this.memberId = memberId;
    }

    public String getOrderByType() {
        return orderByType;
    }

    public void setOrderByType(String orderByType) {
        this.orderByType = orderByType;
    }

    public Long getSchoolLevelId() {
        return schoolLevelId;
    }

    public void setSchoolLevelId(Long schoolLevelId) {
        this.schoolLevelId = schoolLevelId;
    }

    public String[] getProvinceIds() {
        return provinceIds;
    }

    public void setProvinceIds(String[] provinceIds) {
        this.provinceIds = provinceIds;
    }

    public Long getSchoolConfigTypeId() {
        return schoolConfigTypeId;
    }

    public void setSchoolConfigTypeId(Long schoolConfigTypeId) {
        this.schoolConfigTypeId = schoolConfigTypeId;
    }

    public Long getMajorId() {
        return majorId;
    }

    public void setMajorId(Long majorId) {
        this.majorId = majorId;
    }

    public String[] getRankingName() {
        return rankingName;
    }

    public void setRankingName(String[] rankingName) {
        this.rankingName = rankingName;
    }

    public String[] getMastersDegreeDetail() {
        return mastersDegreeDetail;
    }

    public void setMastersDegreeDetail(String[] mastersDegreeDetail) {
        this.mastersDegreeDetail = mastersDegreeDetail;
    }

    public String[] getDoctorateDetail() {
        return doctorateDetail;
    }

    public void setDoctorateDetail(String[] doctorateDetail) {
        this.doctorateDetail = doctorateDetail;
    }

    public String[] getSubjectOther() {
        return subjectOther;
    }

    public void setSubjectOther(String[] subjectOther) {
        this.subjectOther = subjectOther;
    }

    public String[] getDoctorateDirection() {
        return doctorateDirection;
    }

    public void setDoctorateDirection(String[] doctorateDirection) {
        this.doctorateDirection = doctorateDirection;
    }

    public String[] getMastersDegreeDirection() {
        return mastersDegreeDirection;
    }

    public void setMastersDegreeDirection(String[] mastersDegreeDirection) {
        this.mastersDegreeDirection = mastersDegreeDirection;
    }

    public String[] getMajorOther() {
        return majorOther;
    }

    public void setMajorOther(String[] majorOther) {
        this.majorOther = majorOther;
    }

    public String getNewAcceptType() {
        return newAcceptType;
    }

    public void setNewAcceptType(String newAcceptType) {
        this.newAcceptType = newAcceptType;
    }

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    public int getRateType() {
        return rateType;
    }

    public void setRateType(int rateType) {
        this.rateType = rateType;
    }

    public List<Long> getSchoolIds() {
        return schoolIds;
    }

    public void setSchoolIds(List<Long> schoolIds) {
        this.schoolIds = schoolIds;
    }

    public Long getBatchId() {
        return batchId;
    }

    public void setBatchId(Long batchId) {
        this.batchId = batchId;
    }

    public Long getReportId() {
        return reportId;
    }

    public void setReportId(Long reportId) {
        this.reportId = reportId;
    }

    public Long[] getMajorIds() {
        return majorIds;
    }

    public void setMajorIds(Long[] majorIds) {
        this.majorIds = majorIds;
    }
}
